#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 one-liner
version:              1.0
visibility:           public
id:                   one-liner-1.0-6hhK53y2vkzK66RDMTwjFR
key:                  one-liner-1.0-6hhK53y2vkzK66RDMTwjFR
license:              BSD-3-Clause
maintainer:           sjoerd@w3future.com
author:               Sjoerd Visscher, Xia Li-yao
homepage:             https://github.com/sjoerdvisscher/one-liner
synopsis:             Constraint-based generics
description:
    Write short and concise generic instances of type classes.
    one-liner is particularly useful for writing default
    implementations of type class methods.

category:             Generics
abi:                  3b9ff4235b92ea51f0fc5df0cbe4e27e
exposed:              True
exposed-modules:
    Generics.OneLiner Generics.OneLiner.Binary
    Generics.OneLiner.Classes Generics.OneLiner.Internal
    Generics.OneLiner.Internal.Unary

import-dirs:          /usr/lib/ghc-8.10.3/site-local/one-liner-1.0
library-dirs:         /usr/lib/ghc-8.10.3/site-local/one-liner-1.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.3/one-liner-1.0
hs-libraries:         HSone-liner-1.0-6hhK53y2vkzK66RDMTwjFR
depends:
    base-4.14.1.0 bifunctors-5.5.8-DNdRxgjbNuh515bixugkcc
    contravariant-1.5.2-9cUYDQvrBi493NpHNvxLum ghc-prim-0.6.1
    profunctors-5.6-5bjvXERcDcX3dtW7nanTCQ
    tagged-0.8.6.1-A3E8I7zg2qBFE9O5vQsg6C transformers-0.5.6.2

haddock-interfaces:   /usr/share/doc/haskell-one-liner/html/one-liner.haddock
haddock-html:         /usr/share/doc/haskell-one-liner/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

